## libdebian-installer 0.29

=== test/Makefile ===
CC = gcc
CFLAGS = -Wall -I/usr/include/glib-1.2 -I/usr/lib/glib/include
LDFLAGS = -ldebian-installer -lau-c-unit
test: test_system_packages.o test_hash.o main.o
	${CC} ${LDFLAGS} -o test $^

%.o:%.c
	$(CC) $(CFLAGS) -c $<

=== debian/changelog ===
libdebian-installer (0.29) unstable; urgency=low

  * Joey Hess
    - Re-enable character device mapping. Though it often gets it wrong, the
      cases where it gets it right are used by prebaseconfig.

 -- Joey Hess <joeyh@debian.org>  Tue, 15 Jun 2004 12:41:12 -0400

libdebian-installer (0.28) unstable; urgency=low

  * Joey Hess
    - fix devfs.c test mode (to really work)
    - fix /dev/ida support off by one
    - fix /dev/ataraid support, leave off the cN part of device name
    - don't map character devices to block device namesb

 -- Joey Hess <joeyh@debian.org>  Mon, 14 Jun 2004 11:34:03 -0400

libdebian-installer (0.27) unstable; urgency=low

  * Bastian Blank
    - anna dependency resolver stops on already installed packages.
    - Make debugging output a little bit better to read.
    - Make anna dependency resolver permissive again.
    - Add an option to enable extensive debugging output.
    - Fix ABI. (closes: #250299, #253037)
  * Joshua Kwan
    - quote an argument in configure.ac to fix test complaining about no
      LHS for extensive-debug

 -- Bastian Blank <waldi@debian.org>  Mon, 14 Jun 2004 14:23:10 +0200

libdebian-installer (0.23) unstable; urgency=low

  * Bastian Blank
    - Bump revision to 3.
    - Add a special dependency resolver type for anna (checks Kernel-Version
      and Subarchitecture) (unstable interface).
    - Mark the old Kernel-Version resolver as deprecated.
    - Remove backward compatiblity from dependency resolver.
    - Remove two undocumented symbols.
    - Use debhelper udeb support.
    - Add environment support to execution helpers.
    - The size of a hash map is the number of elements, not the size of the
      array.
    - RFC822 parser only allows space and horizontal tab before a value.

 -- Bastian Blank <waldi@debian.org>  Thu, 13 May 2004 17:50:15 +0200

libdebian-installer (0.22) unstable; urgency=low

  * Bastian Blank
    - Fix handling of nonresolvable virtual packages.
    - Fix handling of subarchitecture strings with different length
      (closes: #243692).
  * Joey Hess
    - Add more major numbers for cciss devices.
    - Add support for all of the /dev/ida/ devices. Closes: #243411
    - Add support for /dev/ataraid/ devices.
    - Allow devfs.c to be built as a standalone binary, for simplified
      testing.

 -- Joey Hess <joeyh@debian.org>  Wed, 21 Apr 2004 23:13:06 -0400

libdebian-installer (0.21) unstable; urgency=low

  * Bastian Blank
    - Support diskarrays in mapdevfs. (closes: #235617, #239291)
  * Thiemo Seufer
    - Minor code cleanup in the subarchitecture check.

 -- Joey Hess <joeyh@debian.org>  Mon,  5 Apr 2004 18:49:56 -0400

libdebian-installer (0.20) unstable; urgency=low

  * Bastian Blank
    - Bump revision to 2.
    - Add conversation functions for parts of a package entry
      (exported interface).
    - Add support for Kernel-Version to Packages parser.
    - Fix dependency resolver marker reset.
    - Split dependency resolver (internal interface).
    - Add two special dependency resolver types for anna (checks
      Kernel-Version) and main-menu (never fails) (unstable interface).
    - Fix Subarchitecture check.
  * Stephen R. Marenka
    - Add scsi cd (scd?) device info to mapdevfs.

 -- Bastian Blank <waldi@debian.org>  Mon, 15 Mar 2004 11:13:17 +0100

libdebian-installer (0.19) unstable; urgency=low

  * Bastian Blank
    - Minimal Packages parser parses Size and Priority.
    - Packages parser uses simpler matches.

 -- Bastian Blank <waldi@debian.org>  Fri, 06 Feb 2004 14:07:18 +0100

libdebian-installer (0.18) unstable; urgency=low

  * Alastair McKinstry
    - Add di_info(), di_debug() logging macros.
  * Bastian Blank
    - Bump revision to 1.
    - Remove mapping of di_log.
    - Add any symbol to the version script.
    - Use size_t in hash map and mem_chunk allocer. (closes: #215448)
    - Improve and install documentation.
    - Add -extra lib.
    - Fix description parsing. (closes: #219902)
    - Remove some references to the chunk allocator.
    - Add version info to installed headers.
    - Default log handler suppress debug messages.
    - Enable support for Subarchitecure.
    - Correctly terminate argv.
  * Petter Reinholdtsen
    - Define PATH_MAX if it is undefined, to get this building on
      GNU/Hurd.  Patch from Santiago Vila. (Closes: #219464)
  * Matt Kraai
    - Prefer a package that is installed to one that isn't when satisfying
      a dependency on a virtual package.

 -- Bastian Blank <waldi@debian.org>  Wed, 21 Jan 2004 17:56:11 +0100

libdebian-installer (0.17) unstable; urgency=low

  * Bastian Blank
    - disable subarch stuff

 -- Bastian Blank <waldi@debian.org>  Fri, 03 Oct 2003 18:07:44 +0200

libdebian-installer (0.16) experimental; urgency=low

  * Bastian Blank
    - rework lib
      - add rfc822 parser
      - add logging
      - add packages file parsing
    - dump major to 4

 -- Bastian Blank <waldi@debian.org>  Thu, 28 Aug 2003 17:46:27 +0200

libdebian-installer (0.15) unstable; urgency=low

  * Bastian Blank
    - Don't log to stderr and close stdin.
    - Never cast malloc return values.
  * Joey Hess
    - added di_status_read and di_config_package

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 22 Jul 2003 13:19:17 +0200

libdebian-installer (0.14) unstable; urgency=low

  * Bastian Blank
    - Add Enhances parsing.
  * Petter Reinholdtsen
    - Add support in di_mapdevfs for SW RAID devices, /dev/md#.
      (Closes: #185574)

 -- Bastian Blank <waldi@debian.org>  Sun, 01 Jun 2003 20:54:45 +0200

libdebian-installer (0.13) unstable; urgency=low

  * Martin Sjögren
    - Add di_mapdevfs function.
    - Change section of libdebian-installer3-dev to libdevel.
    - Add Recommends parsing.
    - Don't log to stderr, it will interfere with frontends.
    - Revert to major/minor/micro. current/revision/age is something
      else.
  * Bastian Blank
    - cleanup di_mapdevfs.
  * Petter Reinholdtsen


=== debian/control ===
Source: libdebian-installer
Section: libs
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Joey Hess <joeyh@debian.org>
Build-Depends: debhelper (>= 4.2.0), autotools-dev, doxygen
Standards-Version: 3.6.0

Package: libdebian-installer4
Architecture: any
Depends: ${shlibs:Depends}
Description: Library of common debian-installer functions
 This library is used by debian-installer to perform common functions
 such as logging messages and executing commands. If you aren't
 working on debian-installer or building your own install system based
 on debian-installer, then you probably don't need this library.

Package: libdebian-installer4-dev
Section: libdevel
Architecture: any
Depends: libdebian-installer4 (= ${Source-Version}), libdebian-installer-extra4 (= ${Source-Version})
Conflicts: libdebian-installer-dev
Provides: libdebian-installer-dev
Description: Library of common debian-installer functions
 This library is used by debian-installer to perform common functions
 such as logging messages and executing commands. If you aren't
 working on debian-installer or building your own install system based
 on debian-installer, then you probably don't need this library.
 .
 This package contains files needed to do libdebian-installer development.

Package: libdebian-installer4-udeb
XB-Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${shlibs:Depends}
Provides: libdebian-installer4
Description: Library of common debian-installer functions
 This library is used by debian-installer to perform common functions
 such as logging messages and executing commands. If you aren't
 working on debian-installer or building your own install system based
 on debian-installer, then you probably don't need this library.

Package: libdebian-installer-extra4
Architecture: any
Depends: ${shlibs:Depends}, libdebian-installer4 (= ${Source-Version})
Description: Library of some extra debian-installer functions
 This library is used by debian-installer to perform common functions
 such as logging messages and executing commands. If you aren't
 working on debian-installer or building your own install system based
 on debian-installer, then you probably don't need this library.

Package: libdebian-installer-extra4-udeb
XB-Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${shlibs:Depends}, libdebian-installer4 (= ${Source-Version})
Provides: libdebian-installer-extra4
Description: Library of some extra debian-installer functions
 This library is used by debian-installer to perform common functions
 such as logging messages and executing commands. If you aren't
 working on debian-installer or building your own install system based
 on debian-installer, then you probably don't need this library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#include /usr/share/debian-installer/build/make/rules

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

#CFLAGS = -Wall -W -Werror -gstabs -Wstrict-prototypes -Wmissing-declarations -Wmissing-prototypes
CFLAGS = -Wall -W -Werror -gstabs -Wmissing-declarations

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -Os -fomit-frame-pointer
endif

export CFLAGS

configure:
	AUTOMAKE=automake-1.8 ACLOCAL=aclocal-1.8 \
		autoreconf -i -v
	@exit 1

build/config.status: configure
	dh_testdir
	
	-mkdir build
	cd build && \
	../configure \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info

build: build-stamp
build-stamp:  build/config.status
	dh_testdir

	$(MAKE) -C build
	$(MAKE) -C build/doc doc

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	rm -rf build

ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	-cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	-cp -f /usr/share/misc/config.guess config.guess
endif

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) -C build install DESTDIR=$(CURDIR)/debian/tmp

	install $(CURDIR)/debian/tmp/usr/lib/libdebian-installer.so.4 $(CURDIR)/debian/libdebian-installer4-udeb/lib
	install $(CURDIR)/debian/tmp/usr/lib/libdebian-installer-extra.so.4 $(CURDIR)/debian/libdebian-installer-extra4-udeb/lib
	dh_install --sourcedir=debian/tmp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	d_python
	dh_makeshlibs -n -V
	dh_installdeb
	dh_shlibdeps -N libdebian-installer-extra4 -N libdebian-installer-extra4-udeb
	dh_shlibdeps -p libdebian-installer-extra4 -p libdebian-installer-extra4-udeb -- -L$(CURDIR)/debian/libdebian-installer-extra4.shlibs.local
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## libdebian-installer 0.32

=== debian/changelog ===
libdebian-installer (0.32) unstable; urgency=low

  * Update GPL notices with the FSF's new address.
  * Use -ggdb instead of -gstabs. The latter doesn't work on ia64.

 -- Colin Watson <cjwatson@debian.org>  Wed,  3 Aug 2005 10:36:54 +0100

libdebian-installer (0.31) unstable; urgency=low

  [ Colin Watson ]
  * When compiling with gcc, perform printf format string checking on the
    arguments to di_snprintfcat.
  * Add di_system_subarch_analyze, moved here from hw-detect.
  * Bump shared library revision to 5.

  [ Joey Hess ]
  * Add loop devices to devfs table. Closes: #320039

 -- Colin Watson <cjwatson@debian.org>  Thu, 28 Jul 2005 10:08:44 +0100

libdebian-installer (0.30) unstable; urgency=low

  * Bastian Blank
    - Bump shared library revision to 4.
    - Deprecate di_prebaseconfig_append and di_system_prebaseconfig_append.
    - Add di_exec_path(_full) (execvp wrapper).
  * Joey Hess
    - Patch log.c to build under gcc 4.0. Closes: #287384
  * Colin Watson
    - doxygen doesn't work yet on the Hurd, so avoid building documentation
      there.
    - Add myself to Uploaders.
  * Matt Zimmerman
    - Add devfs-mapping support for UML ubd devices (closes: #258176).

 -- Colin Watson <cjwatson@debian.org>  Wed, 25 May 2005 12:49:09 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Bastian Blank <waldi@debian.org>, Joey Hess <joeyh@debian.org>
-Build-Depends: debhelper (>= 4.2.0), autotools-dev, doxygen
+Uploaders: Bastian Blank <waldi@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>
+Build-Depends: debhelper (>= 4.2.0), autotools-dev, doxygen [!hurd-i386]
 Standards-Version: 3.6.0
 
 Package: libdebian-installer4

## libdebian-installer 0.37

=== debian/changelog ===
libdebian-installer (0.37) unstable; urgency=low

  [ Martin Michlmayr ]
  * Define Broadcom BCM947XX for archdetect.
  * Define Linksys NSLU2 for archdetect.

 -- Martin Michlmayr <tbm@cyrius.com>  Sat, 14 Jan 2006 23:06:14 +0000

libdebian-installer (0.36) unstable; urgency=low

  [ Sven Luther ]
  * No need to list CHRP IBM models explicitly, as this breaks with models we
    don't know about or newer models, which is unnecessary. (Closes: #338045)

 -- Colin Watson <cjwatson@debian.org>  Mon, 14 Nov 2005 18:58:35 +0000

libdebian-installer (0.35) unstable; urgency=low

  * Add archdetect support for ADS boards running the 2.6 kernel,
    including the BitsyXb.

 -- Joey Hess <joeyh@debian.org>  Wed,  7 Sep 2005 15:07:32 -0400

libdebian-installer (0.34) unstable; urgency=low

  * Collapse all ADS boards into one ads subarch.

 -- Joey Hess <joeyh@debian.org>  Thu, 18 Aug 2005 10:10:07 -0400

libdebian-installer (0.33) unstable; urgency=low

  * Add various ADS arm boards to the archdetect list
    (AGX, VGX, GCX, Sphere).

 -- Joey Hess <joeyh@debian.org>  Wed, 17 Aug 2005 09:53:00 -0400

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,13 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
-#CFLAGS = -Wall -W -Werror -gstabs -Wstrict-prototypes -Wmissing-declarations -Wmissing-prototypes
-CFLAGS = -Wall -W -Werror -gstabs -Wmissing-declarations
+DEB_HOST_ARCH_OS    := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
+ifeq ($(DEB_HOST_ARCH_OS),)
+	DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
+endif
+
+#CFLAGS = -Wall -W -Werror -ggdb -Wstrict-prototypes -Wmissing-declarations -Wmissing-prototypes
+CFLAGS = -Wall -W -Werror -ggdb -Wmissing-declarations
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
@@ -41,7 +46,9 @@
 	dh_testdir
 
 	$(MAKE) -C build
+ifneq ($(DEB_HOST_ARCH_OS),gnu)
 	$(MAKE) -C build/doc doc
+endif
 
 	touch $@

## libdebian-installer 0.43

=== debian/changelog ===
libdebian-installer (0.43) unstable; urgency=low

  * Add mapping for I20 hard disks. Patch from Robert Millan
    Closes: #373730
  * Call dh_makeshlibs w/o -n to get postinsts created.
  * Current policy.

 -- Joey Hess <joeyh@debian.org>  Thu, 15 Jun 2006 14:48:35 -0400

libdebian-installer (0.42) unstable; urgency=low

  [ Bastian Blank ]
  * Bump shared library revision to 6.
  * Add small AVL tree implementation.

  [ Martin Michlmayr ]
  * Remove (incomplete) BAST and LAST support.
  * Drop Riscstation since it's no longer supported in 2.6 kernels.
  * Rename arm/riscpc to arm/rpc for consistency.

  [ Colin Watson ]
  * Fix Hurd detection at build time.

  [ Joey Hess ]
  * Move more resolver debug logging into ENABLE_EXTENSIVE_DEBUG ifdefs.

 -- Bastian Blank <waldi@debian.org>  Wed, 31 May 2006 23:02:10 +0200

libdebian-installer (0.41) unstable; urgency=low

  * --add-udeb only works for one udeb, correct dh_makeshlibs call
    to not generate bad udeb shlibs.

 -- Joey Hess <joeyh@debian.org>  Sat, 18 Mar 2006 14:15:07 -0500

libdebian-installer (0.40) unstable; urgency=low

  [ Martin Michlmayr ]
  * archdetect: Add support for the Broadcom BCM91480B evaluation board
    (aka "BigSur").
  * archdetect: Rename sb1-swarm-bn to sb1-bcm91250a for consistency.
  * archdetect: Remove ARM platforms we don't actually support.
  * archdetect: Remove mips/mipsel platforms we don't actually support.

  [ Joey Hess ]
  * Make libdebian-installer-extra4-udeb depend on
    libdebian-installer-udeb, not the deb.

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 17 Mar 2006 22:42:16 +0000

libdebian-installer (0.39) unstable; urgency=low

  * Add udeb lines to shlibs file.
  * Drop libdebian-installer4-udeb's provide of libdebian-installer4
    since it's on the initrd and packages will get a proper dep once
    they're rebuilt against this.

 -- Joey Hess <joeyh@debian.org>  Wed, 15 Mar 2006 15:10:49 -0500

libdebian-installer (0.38) unstable; urgency=low

  [ Martin Michlmayr ]
  * Fix synatx error in mipsel file.

 -- Martin Michlmayr <tbm@cyrius.com>  Wed, 18 Jan 2006 20:11:56 +0000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>
-Build-Depends: debhelper (>= 4.2.0), autotools-dev, doxygen [!hurd-i386]
-Standards-Version: 3.6.0
+Build-Depends: debhelper (>= 5.0.22), autotools-dev, doxygen [!hurd-i386]
+Standards-Version: 3.7.2
 
 Package: libdebian-installer4
 Architecture: any
@@ -34,7 +34,6 @@
 Section: debian-installer
 Architecture: any
 Depends: ${shlibs:Depends}
-Provides: libdebian-installer4
 Description: Library of common debian-installer functions
  This library is used by debian-installer to perform common functions
  such as logging messages and executing commands. If you aren't
@@ -54,7 +53,7 @@
 XB-Package-Type: udeb
 Section: debian-installer
 Architecture: any
-Depends: ${shlibs:Depends}, libdebian-installer4 (= ${Source-Version})
+Depends: ${shlibs:Depends}, libdebian-installer4-udeb (= ${Source-Version})
 Provides: libdebian-installer-extra4
 Description: Library of some extra debian-installer functions
  This library is used by debian-installer to perform common functions

## libdebian-installer 0.47ubuntu2

=== debian/changelog ===
libdebian-installer (0.47ubuntu2) feisty; urgency=low

  * archdetect: Add the powerpc/ps3 platform.
  * Set Maintainer to ubuntu-installer@lists.ubuntu.com.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 27 Feb 2007 18:59:16 +0000

libdebian-installer (0.47ubuntu1) feisty; urgency=low

  * archdetect: Add the i386/mac and amd64/mac platforms, using reduced code
    from dmidecode.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 14 Jan 2007 12:59:57 +0000

libdebian-installer (0.47) unstable; urgency=low

  * Fix FTBFS on mips/mipsel.

 -- Thiemo Seufer <ths@debian.org>  Wed, 22 Nov 2006 15:59:38 +0000

libdebian-installer (0.46) unstable; urgency=low

  [ Thiemo Seufer ]
  * archdetect: Add mips/qemu-mips32 and mipsel/qemu-mips32.

  [ Colin Watson ]
  * include/debian-installer/macros.h: Add DI_GNUC_PREREQ macro useful for
    making use of __attribute__ in various places throughout d-i.

 -- Frans Pop <fjp@debian.org>  Wed, 22 Nov 2006 15:06:29 +0100

libdebian-installer (0.45) unstable; urgency=low

  * archdetect: Add the ARM Versatile platform.
  * archdetect: Return ixp4xx rather than nslu2 on Linksys NSLU2 since
    the NSLU2-specific flavour is no longer needed.

 -- Martin Michlmayr <tbm@cyrius.com>  Sat, 30 Sep 2006 17:10:13 +0200

libdebian-installer (0.44) unstable; urgency=low

  * archdetect: Add the arm/iop32x platform, listing a number if Intel
    evaluation boards, the Thecus N2100 and N4100 and the GLAN Tank.
  * archdetect: Add the arm/iop33x platform, listing a number if Intel
    evaluation boards.
  * archdetect: Add the arm/ixp4xx platform.

 -- Martin Michlmayr <tbm@cyrius.com>  Mon, 21 Aug 2006 00:21:24 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,14 @@
 #!/usr/bin/make -f
-
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
-
-#include /usr/share/debian-installer/build/make/rules
 
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 DEB_HOST_ARCH_OS    := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
 ifeq ($(DEB_HOST_ARCH_OS),)
-	DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
+  DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
+  ifeq ($(DEB_HOST_ARCH_OS),gnu)
+    DEB_HOST_ARCH_OS := hurd
+  endif
 endif
 
 #CFLAGS = -Wall -W -Werror -ggdb -Wstrict-prototypes -Wmissing-declarations -Wmissing-prototypes
@@ -46,7 +44,7 @@
 	dh_testdir
 
 	$(MAKE) -C build
-ifneq ($(DEB_HOST_ARCH_OS),gnu)
+ifneq ($(DEB_HOST_ARCH_OS),hurd)
 	$(MAKE) -C build/doc doc
 endif
 
@@ -80,34 +78,21 @@
 	install $(CURDIR)/debian/tmp/usr/lib/libdebian-installer-extra.so.4 $(CURDIR)/debian/libdebian-installer-extra4-udeb/lib
 	dh_install --sourcedir=debian/tmp
 
-# Build architecture-independent files here.
 binary-indep: build install
-# We have nothing to do by default.
 
-# Build architecture-dependent files here.
 binary-arch: build install
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs
 	dh_installdocs
-#	dh_installexamples
-#	dh_installmenu
-#	dh_installdebconf	
-#	dh_installlogrotate
-#	dh_installemacsen
-#	dh_installpam
-#	dh_installmime
-#	dh_installinit
-#	dh_installcron
-#	dh_installinfo
-#	dh_installman
 	dh_link
 	dh_strip
 	dh_compress
 	dh_fixperms
-#	dh_perl
-#	d_python
-	dh_makeshlibs -n -V
+	dh_makeshlibs -plibdebian-installer4 -V \
+		--add-udeb=libdebian-installer4-udeb
+	dh_makeshlibs -plibdebian-installer-extra4 -V \
+		--add-udeb=libdebian-installer-extra4-udeb
 	dh_installdeb
 	dh_shlibdeps -N libdebian-installer-extra4 -N libdebian-installer-extra4-udeb
 	dh_shlibdeps -p libdebian-installer-extra4 -p libdebian-installer-extra4-udeb -- -L$(CURDIR)/debian/libdebian-installer-extra4.shlibs.local

## libdebian-installer 0.50

=== debian/changelog ===
libdebian-installer (0.50) unstable; urgency=low

  [ Joey Hess ]
  * Add back subarch-armeb-linux.c, and modify the Makefile to include it,
    so it's used after all.
  * Add support for armel.

 -- Frans Pop <fjp@debian.org>  Thu, 22 Feb 2007 12:11:32 +0100

libdebian-installer (0.49) unstable; urgency=low

  [ Joey Hess ]
  * Remove subarch-armeb-linux.c, which was never used. subarch-arm-linux.c
    is used for all arm variants.

 -- Frans Pop <fjp@debian.org>  Sun, 18 Feb 2007 13:44:15 +0100

libdebian-installer (0.48) unstable; urgency=low

  [ Sven Luther ]
  * Added support for Efika /proc/cpuinfo machine field. Closes: #403293.

 -- Frans Pop <fjp@debian.org>  Tue, 13 Feb 2007 23:24:24 +0100

## libdebian-installer 0.50etch1

=== debian/changelog ===
libdebian-installer (0.50etch1) stable; urgency=low

  [ Martin Michlmayr ]
  * Match SGI O2 machines with 300MHz RM5200SC (Nevada) CPUs.

 -- Martin Michlmayr <tbm@cyrius.com>  Wed, 20 Jun 2007 11:35:49 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Bastian Blank <waldi@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper (>= 5.0.22), autotools-dev, doxygen [!hurd-i386]
 Standards-Version: 3.7.2
+XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/libdebian-installer
 
 Package: libdebian-installer4
 Architecture: any

## libdebian-installer 0.52ubuntu1

=== debian/changelog ===
libdebian-installer (0.52ubuntu1) gutsy; urgency=low

  * archdetect: Add the powerpc/cell platform.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 20 Sep 2007 20:41:41 +0100

libdebian-installer (0.52) unstable; urgency=low

  [ Joey Hess ]
  * Move one more resolver debug message to ENABLE_EXTENSIVE_DEBUG.

  [ Martin Michlmayr ]
  * Match SGI O2 machines with 300MHz RM5200SC (Nevada) CPUs.

  [ Colin Watson ]
  * archdetect: Add the powerpc/ps3 platform.

 -- Frans Pop <fjp@debian.org>  Sat, 30 Jun 2007 08:45:53 +0200

libdebian-installer (0.51) unstable; urgency=low

  * archdetect: Add the i386/mac and amd64/mac platforms, using reduced code
    from dmidecode.

 -- Colin Watson <cjwatson@debian.org>  Sun, 08 Apr 2007 22:09:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libdebian-installer
 Section: libs
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper (>= 5.0.22), autotools-dev, doxygen [!hurd-i386]
 Standards-Version: 3.7.2

## libdebian-installer 0.54

=== debian/changelog ===
libdebian-installer (0.54) unstable; urgency=low

  [ Frans Pop ]
  * Add Description field to pkg-config files as their absence is making
    'pkg-config --list-all' fail. Closes: #453187.
  * Make Name in pkg-config files a bit more descriptive.

  [ Martin Michlmayr ]
  * Add support for the Orion (ARM) platform.

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 29 Nov 2007 09:10:54 +0100

libdebian-installer (0.53) unstable; urgency=low

  * Remove compatibility with ancient dpkg-architecture; build-depend on
    newer dpkg-dev instead.
  * archdetect: Add the powerpc/cell platform.

 -- Colin Watson <cjwatson@debian.org>  Sat, 20 Oct 2007 03:34:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: libdebian-installer
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>
-Build-Depends: debhelper (>= 5.0.22), autotools-dev, doxygen [!hurd-i386]
+Build-Depends: dpkg-dev (>= 1.13.5), debhelper (>= 5.0.22), autotools-dev, doxygen [!hurd-i386]
 Standards-Version: 3.7.2
-XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/libdebian-installer
+Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/libdebian-installer
 
 Package: libdebian-installer4
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -4,12 +4,6 @@
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 DEB_HOST_ARCH_OS    := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
-ifeq ($(DEB_HOST_ARCH_OS),)
-  DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
-  ifeq ($(DEB_HOST_ARCH_OS),gnu)
-    DEB_HOST_ARCH_OS := hurd
-  endif
-endif
 
 #CFLAGS = -Wall -W -Werror -ggdb -Wstrict-prototypes -Wmissing-declarations -Wmissing-prototypes
 CFLAGS = -Wall -W -Werror -ggdb -Wmissing-declarations

## libdebian-installer 0.59ubuntu1

=== debian/changelog ===
libdebian-installer (0.59ubuntu1) intrepid; urgency=low

  * Backport from trunk:
    - Appease the combination of _FORTIFY_SOURCE=2 (used by default on
      Ubuntu) and -Werror. Why exactly glibc demands that fwrite be checked
      but not fputs is beyond me.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 02 Sep 2008 13:07:03 +0100

libdebian-installer (0.59) unstable; urgency=low

  * Apply patch to include 'Apple Inc.' as a possible vendor string for a
    Intel's based Mac. Thanks to Julien BLACHE <jblache@debian.org> for
    the patch (closes: #483182).

 -- Otavio Salvador <otavio@debian.org>  Tue, 29 Jul 2008 12:13:29 -0300

libdebian-installer (0.58) unstable; urgency=low

  [ Martin Michlmayr ]
  * Add support for QNAP TS-409 (orion5x)
  * Add support for HP Media Vault mv2120 (orion5x).
  * Add support for Buffalo Linkstation Pro/Live (orion5x).

 -- Martin Michlmayr <tbm@cyrius.com>  Sun, 11 May 2008 09:44:21 +0200

libdebian-installer (0.57) unstable; urgency=low

  [ Frans Pop ]
  * Add support for PA Semi's evaluation systems (closes: #464429).
    Thanks to Olof Johansson for the patch.

  [ Martin Michlmayr ]
  * Rename orion to orion5x to allow for support of other Orion
    platforms in the future.

 -- Martin Michlmayr <tbm@cyrius.com>  Sat, 22 Mar 2008 18:13:19 +0100

libdebian-installer (0.56) unstable; urgency=low

  [ Bastian Blank ]
  * Return more correct errors fom execution.

  [ Joey Hess ]
  * Fix subarch detection of mips on current versions of qemu. The cpu 
    model is reported as "MIPS 24K", not "MIPS 4K". Left the old value in to
    support old qemu versions.

 -- Joey Hess <joeyh@debian.org>  Thu, 06 Mar 2008 18:18:13 -0500

libdebian-installer (0.55) unstable; urgency=low

  [ Stephen R. Marenka ]
  * archdetect: Add support for m68k/aranym (atari).

  [ Aurelien Jarno ]
  * archdetect: Add support for mips{,el}/{4,5}kc-malta platforms.

  [ Martin Michlmayr ]
  * archdetect: Add support for QNAP TS-109/TS-209.

 -- Martin Michlmayr <tbm@cyrius.com>  Tue, 05 Feb 2008 11:12:15 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libdebian-installer
 Section: libs
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>
 Build-Depends: dpkg-dev (>= 1.13.5), debhelper (>= 5.0.22), autotools-dev, doxygen [!hurd-i386]
 Standards-Version: 3.7.2

## libdebian-installer 0.61

=== debian/changelog ===
libdebian-installer (0.61) unstable; urgency=low

  [ Bastian Blank ]
  * Fix off-by-one error in the rfc822 parser (closes: #500378).
  * Remove workarounds for ignored errors.

 -- Frans Pop <fjp@debian.org>  Sat, 27 Sep 2008 18:37:27 +0200

libdebian-installer (0.60) unstable; urgency=low

  [ Colin Watson ]
  * Remove incorrect unused attribute from di_packages_parser_read_name's
    user_data parameter.
  * Appease the combination of _FORTIFY_SOURCE=2 (used by default on Ubuntu)
    and -Werror. Why exactly glibc demands that fwrite be checked but not
    fputs is beyond me.

 -- Otavio Salvador <otavio@debian.org>  Tue, 23 Sep 2008 21:36:38 -0300

=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,7 @@
 export CFLAGS
 
 configure:
-	AUTOMAKE=automake-1.8 ACLOCAL=aclocal-1.8 \
-		autoreconf -i -v
+	autoreconf -i -v
 	@exit 1
 
 build/config.status: configure
@@ -46,7 +45,6 @@
 
 clean:
 	dh_testdir
-	dh_testroot
 	rm -f build-stamp
 
 	rm -rf build

## libdebian-installer 0.61ubuntu2

=== debian/changelog ===
libdebian-installer (0.61ubuntu2) jaunty; urgency=low

  [ Michael Casadevall ]
  * Added subarchitecture imx51 for Freescale iMX51 SoCs (LP: #345534).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Mar 2009 11:54:26 +0000

libdebian-installer (0.61ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Appease the combination of _FORTIFY_SOURCE=2 (used by default on
      Ubuntu) and -Werror.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 03 Nov 2008 13:41:45 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
 Uploaders: Bastian Blank <waldi@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>
 Build-Depends: dpkg-dev (>= 1.13.5), debhelper (>= 5.0.22), autotools-dev, doxygen [!hurd-i386]
 Standards-Version: 3.7.2
-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/libdebian-installer
+XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/libdebian-installer
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/libdebian-installer/ubuntu
 
 Package: libdebian-installer4
 Architecture: any

## libdebian-installer 0.63ubuntu2

=== debian/changelog ===
libdebian-installer (0.63ubuntu2) karmic; urgency=low

  [ Michael Casadevall ]
  * Added Dove SoC subarchitecture (LP: #409238)

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 24 Aug 2009 12:26:17 +0100

libdebian-installer (0.63ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Appease the combination of _FORTIFY_SOURCE=2 (used by default on
      Ubuntu) and -Werror.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 25 Jun 2009 22:29:52 +0100

libdebian-installer (0.63) unstable; urgency=low

  [ Michael Casadevall ]
  * Add subarchitecture imx51 for Freescale iMX51 SoCs (LP: #345534).

  [ Colin Watson ]
  * Fix memory leak in subarch-x86-linux.c:di_system_subarch_analyze.

  [ Christian Perrier ]
  * Remplace obsolete ${Source-Version} by ${binary:Version} in dependencies
    (any->any dependency)
  * Update Standards to 3.8.1 (no change)
  * Include complete copyright for the code by going through the
    package changelog

 -- Christian Perrier <bubulle@debian.org>  Sat, 13 Jun 2009 14:20:34 +0200

libdebian-installer (0.62ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Appease the combination of _FORTIFY_SOURCE=2 (used by default on
      Ubuntu) and -Werror.
    - Add subarchitecture imx51 for Freescale iMX51 SoCs.
  * Remove rather silly fwrite _FORTIFY_SOURCE workaround, since Ubuntu's
    glibc no longer requires this.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 28 Apr 2009 12:09:26 +0100

libdebian-installer (0.62) unstable; urgency=low

  [ Martin Michlmayr ]
  * Add support for Marvell's Kirkwood platform, including devices
    such as the SheevaPlug and QNAP TS-219.

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 27 Mar 2009 18:03:49 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>
 Build-Depends: dpkg-dev (>= 1.13.5), debhelper (>= 5.0.22), autotools-dev, doxygen [!hurd-i386]
-Standards-Version: 3.7.2
+Standards-Version: 3.8.1
 XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/libdebian-installer
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/libdebian-installer/ubuntu
 
@@ -21,7 +21,7 @@
 Package: libdebian-installer4-dev
 Section: libdevel
 Architecture: any
-Depends: libdebian-installer4 (= ${Source-Version}), libdebian-installer-extra4 (= ${Source-Version})
+Depends: libdebian-installer4 (= ${binary:Version}), libdebian-installer-extra4 (= ${binary:Version})
 Conflicts: libdebian-installer-dev
 Provides: libdebian-installer-dev
 Description: Library of common debian-installer functions
@@ -45,7 +45,7 @@
 
 Package: libdebian-installer-extra4
 Architecture: any
-Depends: ${shlibs:Depends}, libdebian-installer4 (= ${Source-Version})
+Depends: ${shlibs:Depends}, libdebian-installer4 (= ${binary:Version})
 Description: Library of some extra debian-installer functions
  This library is used by debian-installer to perform common functions
  such as logging messages and executing commands. If you aren't
@@ -56,7 +56,7 @@
 XB-Package-Type: udeb
 Section: debian-installer
 Architecture: any
-Depends: ${shlibs:Depends}, libdebian-installer4-udeb (= ${Source-Version})
+Depends: ${shlibs:Depends}, libdebian-installer4-udeb (= ${binary:Version})
 Provides: libdebian-installer-extra4
 Description: Library of some extra debian-installer functions
  This library is used by debian-installer to perform common functions

## libdebian-installer 0.68ubuntu3

=== debian/changelog ===
libdebian-installer (0.68ubuntu3) lucid; urgency=low

  * Reupload with the right autotools bits.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 13 Apr 2010 13:00:20 +0100

libdebian-installer (0.68ubuntu2) lucid; urgency=low

  * add beagle OMAP3 support

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 13 Apr 2010 13:09:26 +0200

libdebian-installer (0.68ubuntu1) lucid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Appease the combination of _FORTIFY_SOURCE=2 (used by default on
      Ubuntu) and -Werror.
    - Add Dove SoC subarchitecture.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 02 Nov 2009 17:49:09 -0800

libdebian-installer (0.68) unstable; urgency=low

  [ Martin Michlmayr ]
  * Add support for Marvell's OpenRD Base and Client.

 -- Martin Michlmayr <tbm@cyrius.com>  Fri, 25 Sep 2009 19:03:44 +0100

libdebian-installer (0.67) unstable; urgency=low

  [ Aurelien Jarno ]
  * Fix internal_di_exec() in case of a working poll() implementation. 
    This fixes d-i on GNU/kFreeBSD when running on dual-core CPU or 
    more.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 04 Sep 2009 00:06:07 +0200

libdebian-installer (0.66) unstable; urgency=low

  [ Colin Watson ]
  * Upgrade to debhelper v7.

  [ Aurelien Jarno ]
  * Don't use devfs-mapping on non Linux architectures.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 21 Aug 2009 23:58:03 +0200

libdebian-installer (0.65) unstable; urgency=low

  [ Aurelien Jarno ]
  * Teach archdetect about GNU/kFreeBSD.
  * Fix build with recent automake by removing GNU extension usage in 
    doc/Makefile.am.
  * Point to the right GPL version in debian/copyright.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 13 Aug 2009 17:02:11 +0200

libdebian-installer (0.64) unstable; urgency=low

  [ Colin Watson ]
  * Remove a duplicated line from debian/copyright.

  [ Luca Favatella ]
  * The poll() system call has EOF-related portability issues. Solve them on
    kfreebsd-i386. Thanks to Colin Watson for the "poll() and EOF" URL.

  [ Wouter Verhelst ]
  * Teach archdetect about the Intel SS4000-E

 -- Otavio Salvador <otavio@debian.org>  Sat, 18 Jul 2009 11:06:19 -0300

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Joey Hess <joeyh@debian.org>, Colin Watson <cjwatson@debian.org>
-Build-Depends: dpkg-dev (>= 1.13.5), debhelper (>= 5.0.22), autotools-dev, doxygen [!hurd-i386]
+Build-Depends: dpkg-dev (>= 1.13.5), debhelper (>= 7.3.0~), autotools-dev, doxygen [!hurd-i386]
 Standards-Version: 3.8.1
 XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/libdebian-installer
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/libdebian-installer/ubuntu
 
 Package: libdebian-installer4
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Library of common debian-installer functions
  This library is used by debian-installer to perform common functions
  such as logging messages and executing commands. If you aren't
@@ -21,7 +21,7 @@
 Package: libdebian-installer4-dev
 Section: libdevel
 Architecture: any
-Depends: libdebian-installer4 (= ${binary:Version}), libdebian-installer-extra4 (= ${binary:Version})
+Depends: ${misc:Depends}, libdebian-installer4 (= ${binary:Version}), libdebian-installer-extra4 (= ${binary:Version})
 Conflicts: libdebian-installer-dev
 Provides: libdebian-installer-dev
 Description: Library of common debian-installer functions
@@ -36,7 +36,7 @@
 XB-Package-Type: udeb
 Section: debian-installer
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Library of common debian-installer functions
  This library is used by debian-installer to perform common functions
  such as logging messages and executing commands. If you aren't
@@ -45,7 +45,7 @@
 
 Package: libdebian-installer-extra4
 Architecture: any
-Depends: ${shlibs:Depends}, libdebian-installer4 (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libdebian-installer4 (= ${binary:Version})
 Description: Library of some extra debian-installer functions
  This library is used by debian-installer to perform common functions
  such as logging messages and executing commands. If you aren't
@@ -56,7 +56,7 @@
 XB-Package-Type: udeb
 Section: debian-installer
 Architecture: any
-Depends: ${shlibs:Depends}, libdebian-installer4-udeb (= ${binary:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libdebian-installer4-udeb (= ${binary:Version})
 Provides: libdebian-installer-extra4
 Description: Library of some extra debian-installer functions
  This library is used by debian-installer to perform common functions

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh --builddirectory=build $@

DEB_HOST_ARCH_OS    := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

#CFLAGS = -Wall -W -Werror -ggdb -Wstrict-prototypes -Wmissing-declarations -Wmissing-prototypes
CFLAGS = -Wall -W -Werror -ggdb -Wmissing-declarations

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -Os -fomit-frame-pointer
endif

export CFLAGS

configure:
	autoreconf -i -v
	@exit 1

override_dh_auto_build:
	dh_auto_build
ifneq ($(DEB_HOST_ARCH_OS),hurd)
	$(MAKE) -C build/doc doc
endif

override_dh_clean:
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	-cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	-cp -f /usr/share/misc/config.guess config.guess
endif
	dh_clean

override_dh_install:
	install $(CURDIR)/debian/tmp/usr/lib/libdebian-installer.so.4 $(CURDIR)/debian/libdebian-installer4-udeb/lib
	install $(CURDIR)/debian/tmp/usr/lib/libdebian-installer-extra.so.4 $(CURDIR)/debian/libdebian-installer-extra4-udeb/lib
	dh_install --sourcedir=debian/tmp

override_dh_makeshlibs:
	dh_makeshlibs -plibdebian-installer4 -V \
		--add-udeb=libdebian-installer4-udeb
	dh_makeshlibs -plibdebian-installer-extra4 -V \
		--add-udeb=libdebian-installer-extra4-udeb

override_dh_shlibdeps:
	dh_shlibdeps -N libdebian-installer-extra4 -N libdebian-installer-extra4-udeb
	dh_shlibdeps -p libdebian-installer-extra4 -p libdebian-installer-extra4-udeb -- -L$(CURDIR)/debian/libdebian-installer-extra4.shlibs.local

## libdebian-installer 0.68ubuntu3netbook0hedley3

=== debian/changelog ===
libdebian-installer (0.68ubuntu3netbook0hedley3) lucid; urgency=low

  * src/system/subarch-arm-linux.c: Add titan subarch

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Tue, 19 Oct 2010 15:10:59 -0400

libdebian-installer (0.68ubuntu3netbook0hedley2) lucid; urgency=low

  * Change mimas board's hardware identification to "WYSE Mimas Board"
  * debian/control: Set Vcs-Bzr: to lp:~hedley-team/hedley/libdebian-installer.
    Branched from lp:ubuntu/lucid/libdebian-installer
  * Revert unintended changes to config.guess and config.sub

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Wed, 09 Jun 2010 12:05:26 -0400

libdebian-installer (0.68ubuntu3netbook0hedley1) lucid; urgency=low

  * Add mimas subarch for Marvell MV88F6781-RD Avengers MID Board

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Fri, 07 May 2010 15:30:06 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: dpkg-dev (>= 1.13.5), debhelper (>= 7.3.0~), autotools-dev, doxygen [!hurd-i386]
 Standards-Version: 3.8.1
 XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/libdebian-installer
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/libdebian-installer/ubuntu
+Vcs-Bzr: lp:~hedley-team/hedley/libdebian-installer
 
 Package: libdebian-installer4
 Architecture: any

## libdebian-installer 0.76ubuntu2

=== debian/changelog ===
libdebian-installer (0.76ubuntu2) maverick; urgency=low

  * add support for the OMAP4 Panda Board
  * add support for the OMAP4 Blaze board

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 16 Sep 2010 14:13:02 +0200

libdebian-installer (0.76ubuntu1) maverick; urgency=low

  * Resynchronise with Debian, in order to get Michael's archdetect
    heuristic work for Maverick.  Remaining changes:
    - Appease the combination of _FORTIFY_SOURCE=2 (used by default on
      Ubuntu) and -Werror.
    - Add Dove SoC subarchitecture.
    - Add Beagle OMAP3 support.
    - Add the i386/efi and amd64/efi platforms.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 14 Sep 2010 17:59:37 +0100

libdebian-installer (0.76) unstable; urgency=low

  [ Martin Michlmayr ]
  * Add the Seagate FreeAgent DockStar.

  [ Michael Casadevall ]
  * Add di_system_subarch_analyze_guess function (stub on architectures
    other than armel) adding a heuristic option that makes it easier to
    bring up new boards.  See
    http://lists.debian.org/debian-boot/2010/08/msg00641.html for rationale.

 -- Colin Watson <cjwatson@debian.org>  Tue, 14 Sep 2010 15:02:00 +0100

libdebian-installer (0.75) unstable; urgency=low

  [ Martin Michlmayr ]
  * Add support for loongson-2e and loongson-2f.

  [ Colin Watson ]
  * Use 'dh $@ --options' rather than 'dh --options $@', for
    forward-compatibility with debhelper v8.
  * When selecting among packages providing a virtual package, consider
    whether any of the choices are already marked for installation.

  [ Jeremie Koenig ]
  * Re-enable doxygen build on hurd-i386.

 -- Colin Watson <cjwatson@debian.org>  Thu, 05 Aug 2010 21:56:46 +0100

libdebian-installer (0.74) unstable; urgency=low

  * Add support for OpenRD-Ultimate.

 -- Martin Michlmayr <tbm@cyrius.com>  Sat, 19 Jun 2010 11:00:17 +0100

libdebian-installer (0.73) unstable; urgency=low

  * Add support for the HP t5325 Thin Client

 -- Martin Michlmayr <tbm@cyrius.com>  Sun, 13 Jun 2010 20:06:12 +0100

libdebian-installer (0.72) unstable; urgency=low

  * Add support for the eSATA SheevaPlug.

 -- Martin Michlmayr <tbm@cyrius.com>  Mon, 24 May 2010 14:05:03 +0100

libdebian-installer (0.71) unstable; urgency=low

  * Add support for the GuruPlug.

 -- Martin Michlmayr <tbm@cyrius.com>  Mon, 24 May 2010 14:02:30 +0100

libdebian-installer (0.70) unstable; urgency=low

  * Add support for SH4 RTS7751R2D and SH7785LCR boards.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 13 May 2010 12:19:18 +0200

libdebian-installer (0.69ubuntu2) maverick; urgency=low

  * archdetect: Add the i386/efi and amd64/efi platforms.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 10 Jun 2010 18:18:31 +0100

libdebian-installer (0.69ubuntu1) maverick; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Appease the combination of _FORTIFY_SOURCE=2 (used by default on
      Ubuntu) and -Werror.
    - Add Dove SoC subarchitecture.
    - Add Beagle OMAP3 support.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 06 May 2010 15:50:08 +0100

libdebian-installer (0.69) unstable; urgency=low

  [ Frans Pop ]
  * Use XC-Package-Type instead of XB-Package-Type.

  [ Martin Michlmayr ]
  * Add support for QNAP TS-41x.

 -- Martin Michlmayr <tbm@cyrius.com>  Tue, 03 Nov 2009 18:11:44 +0000

## libdebian-installer 0.77

=== debian/changelog ===
libdebian-installer (0.77) unstable; urgency=low

  [ Milan Kupcevic ]
  * subarch-powerpc-linux.c: Shorten unnecessarily long Efika machine map entry
    to let it match with "Efika 5200B PowerPC System" machine string, too.
  * subarch-powerpc-linux.c: Add support for YDL PowerStation, a CHRP machine
    with IBM Bimini board and SLOF firmware (closes: #603891).

 -- Otavio Salvador <otavio@debian.org>  Fri, 24 Dec 2010 19:25:56 -0200
